package cc.smtweb.biz.mztb.web.base;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2023-12-19 11:07:17
 * 实体【[配置前置库连接](TB_DB_SOURCE_CONFIG)】的Entity类
 */
@SwTable("TB_DB_SOURCE_CONFIG")
public class DbSourceConfig extends DefaultEntity {
    public static final String ENTITY_NAME = "TB_DB_SOURCE_CONFIG";

    public DbSourceConfig() {
        super(ENTITY_NAME);
    }

    /** 主键 */
    public long getId() {
        return getLong("dsc_id");
    }

    /** 主键 */
    public void setId(long dsc_id) {
        put("dsc_id", dsc_id);
    }
    /** 最后更新时间 */
    public long getUpdateAt() {
        return getLong("dsc_update_at");
    }

    /** 最后更新时间 */
    public void setUpdateAt(long dsc_update_at) {
        put("dsc_update_at", dsc_update_at);
    }
    /** 组织ID */
    public long getOrgId() {
        return getLong("dsc_org_id");
    }

    /** 组织ID */
    public void setOrgId(long dsc_org_id) {
        put("dsc_org_id", dsc_org_id);
    }
    /** 数据库类型 */
    public String getDbType() {
        return getStr("dsc_db_type");
    }

    /** 数据库类型 */
    public void setDbType(String dsc_db_type) {
        put("dsc_db_type", dsc_db_type);
    }
    /** ip地址 */
    public String getConnectIp() {
        return getStr("dsc_connect_ip");
    }

    /** ip地址 */
    public void setConnectIp(String dsc_connect_ip) {
        put("dsc_connect_ip", dsc_connect_ip);
    }
    /** 端口 */
    public int getPort() {
        return getInt("dsc_port");
    }

    /** 端口 */
    public void setPort(int dsc_port) {
        put("dsc_port", dsc_port);
    }
    /** 用户名 */
    public String getUsername() {
        return getStr("dsc_username");
    }

    /** 用户名 */
    public void setUsername(String dsc_username) {
        put("dsc_username", dsc_username);
    }
    /** 密码 */
    public String getPassword() {
        return getStr("dsc_password");
    }

    /** 密码 */
    public void setPassword(String dsc_password) {
        put("dsc_password", dsc_password);
    }
    /** 数据库名 */
    public String getDbName() {
        return getStr("dsc_db_name");
    }

    /** 数据库名 */
    public void setDbName(String dsc_db_name) {
        put("dsc_db_name", dsc_db_name);
    }
    /** 数据库编码 */
    public String getCoding() {
        return getStr("dsc_coding");
    }

    /** 数据库编码 */
    public void setCoding(String dsc_coding) {
        put("dsc_coding", dsc_coding);
    }
    /** 完整的URL地址 */
    public String getWholeUrl() {
        return getStr("dsc_whole_url");
    }

    /** 完整的URL地址 */
    public void setWholeUrl(String dsc_whole_url) {
        put("dsc_whole_url", dsc_whole_url);
    }
    /** 使用状态 */
    public int getUseState() {
        return getInt("dsc_use_state");
    }

    /** 使用状态 */
    public void setUseState(int dsc_use_state) {
        put("dsc_use_state", dsc_use_state);
    }
}
